Subject: Re: giving up the FPU, MSR[FE0], MSR[FE1], and the FPSCR

From: Dan Malek <[email-masked]>
Date: Mon, 09 Jul 2001 13:41:01 -0400

Paul Mackerras wrote:

> I believe that does work and that glibc uses it.  Not that that is the
> ideal way to handle it...  Albert Cahalan's suggestion of setting
> FE0/FE1 based on the disposition of the SIGFPE signal is a good one.

There was some discussion about how we handle the exception flags
in FPSCR a long time (a year or more :-) ago.  A search of the
archives may turn up something (I haven't searched).  I know there
was a change to the library and the user ability to set this flags
way back then.......

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/